<ion-content class="noscroll">

  <form [formGroup]="directionForm" (ngSubmit)="calculateAndDisplayRoute(directionForm.value)">
    <ion-item>
      <ion-label position="floating">Destination</ion-label>
      <ion-input formControlName="destination"></ion-input>
    </ion-item>
    <ion-button   expand="full" type="submit" [disabled]="!directionForm.valid">Get Direction</ion-button>
  </form>
  <div #mapElement class="map"></div>
  <div *ngFor="let jobuser of jobusers">
  <div class="footerbar" (click)="Drive(jobuser)">
      <h4>On Trip</h4>
      <h5>Play music, read news..</h5>
      <ion-icon name="arrow-dropup"></ion-icon>
     </div>
     
   </div>
</ion-content>
